X2Go Bug report logs - #1604
Mint 20.3 Update fails for latest release 4.1.0.4-0~1975~ubuntu20.04.1 - kdrive requirement xserver-x2go is missing

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Brian G <brian@westwoodsvcs.com>

Date: Wed, 31 May 2023 17:45:02 UTC

Severity: normal

Merged with 1607

Found in versions 4.1.0.3-5, 4.1.0.4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1604; Package x2goserver. (Wed, 31 May 2023 17:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Brian G <brian@westwoodsvcs.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 31 May 2023 17:45:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Brian G <brian@westwoodsvcs.com>
To: submit <submit@bugs.x2go.org>
Subject: Mint 20.3 Update fails for latest release 4.1.0.4-0~1975~ubuntu20.04.1 - kdrive requirement xserver-x2go is missing
Date: Wed, 31 May 2023 10:42:31 -0700 (PDT)
[Message part 1 (text/plain, inline)]
Package: x2goserver 
Version: 4.1.0.4 

The update failed for mint 20.3 as x2goserver-x2gokdrive requires xserver-x2gokdrive which is not available in mint 20.3 and not available from the x2go repository. 

It screwed up my system pretty good! had to do a clean install of 4.1.0.3 to get up and running again. 

I have been using x2go for years, love it! 

And also some documentation file was moved in 4.1.0.3 to a different file in 4.1.0.4 and the 
upgrade complains about that before even reporting the kdrive issue on an attempt to do a fresh install of 4.1.0.4. 

"Failure is the key to success; 
each mistake teaches us something" .. Morihei Ueshiba 
Brian G 
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1604; Package x2goserver. (Thu, 01 Jun 2023 13:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Tomas Pospisek <tpo@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 01 Jun 2023 13:20:02 GMT) (full text, mbox, link).


Message #10 received at 1604@bugs.x2go.org (full text, mbox, reply):

From: Tomas Pospisek <tpo@sourcepole.ch>
To: 1604@bugs.x2go.org
Subject: new stable release is broken
Date: Thu, 1 Jun 2023 15:18:21 +0200 (CEST)
Hello x2go maintainers,

these days the package management system offered me to upgrade the x2go 
packages. This due to upgraded packages becoming available in the stable 
repo:

  Origin: X2Go stable (main) PPA:20.04/focal [amd64]

  # cat ppa_x2go_stable_focal.list
  deb http://ppa.launchpad.net/x2go/stable/ubuntu focal main

The problem is that the release is broken, contains uninstallable packages 
and thus an upgrade will deinstall stuff that is required:

```
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer 
required:
  libcapture-tiny-perl libconfig-simple-perl libdbd-pg-perl
  libdbd-sqlite3-perl libdbi-perl libfile-basedir-perl
  libipc-system-simple-perl libnx-x11-6 libswitch-perl libtry-tiny-perl
  libx2go-log-perl libx2go-server-db-perl libx2go-server-perl libxcomp3
  libxcompshad3 libxfont2 nx-x11-common nxagent pwgen x2goserver-common
  x2goserver-x2goagent
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  libx2go-config-perl libx2go-utils-perl x2godesktopsharing x2goserver
  x2goserver-printing x2goserver-xsession
The following packages will be upgraded:
  libx2go-log-perl libx2go-server-db-perl libx2go-server-perl
  x2goserver-common x2goserver-x2goagent
5 upgraded, 0 newly installed, 6 to remove and 11 not upgraded.
Need to get 303 kB of archives.
After this operation, 1004 kB disk space will be freed.
Do you want to continue? [Y/n] n
Abort.
Shared connection to 94.126.19.81 closed.
Skript wurde beendet.
```

This is due to:
```

pBA  --\ x2goserver-x2gokdrive                                                  +74.8 kB  <none>         4.1.0.4-0~1975
  Description: X2Go Server's X2Go KDrive Xserver
    X2Go is a software suite that uses NX and/or KDrive technology for remote desktop computing.

    X2Go KDrive technology implements a remote X11 Xserver backend for
    modern desktop environments, namely desktops derived from the GNOME
    desktop shell.

    X2Go KDrive does not require an XServer on the client side, only the
    X11-independent x2gokdriveclient. Desktop session data transfers from
    server to client use differential image compression and image data
    gets cached client-side.
  Priority: optional
  Section: x11
  Maintainer: X2Go Developers <x2go-dev@lists.x2go.org>
  Architecture: amd64
  Compressed Size: 51.3 k
  Uncompressed Size: 74.8 k
  Source Package: x2goserver
  Label: X2Go stable (main) PPA
  Origin: X2Go stable (main) PPA:20.04/focal [amd64]
  Origin URI: http://ppa.launchpad.net/x2go/stable/ubuntu/pool/main/x/x2goserver/x2goserver-x2gokdrive_4.1.0.4-0~1975~ubuntu20.04.1_amd64.deb
  --\ PreDepends (1)
    --- dpkg (>= 1.15.7.2)
  --\ Depends (1)
    --- xserver-x2gokdrive (UNAVAILABLE)
  --\ Suggests (1)
    --- x2goserver
  --\ Packages which depend on x2goserver-x2gokdrive (2)
    --\ Depends (2)
pi    x2goserver 4.1.0.4-0~1975~ubuntu20.04.1                                    +550 kB
pi    x2goserver 4.1.0.4-0~1975~ubuntu20.04.1                                    +550 kB
  --\ Versions of x2goserver-x2gokdrive (1)
pBA  4.1.0.4-0~1975~ubuntu20.04.1                                                +74.8 kB
```

That is: x2goserver depends on x2goserver-x2gokdrive which depends on 
xserver-x2gokdrive which is not available.
*t


Marked as found in versions 4.1.0.3-5. Request was from Tomas Pospisek <tpo@sourcepole.ch> to control@bugs.x2go.org. (Wed, 07 Jun 2023 08:40:01 GMT) (full text, mbox, link).


Merged 1604 1607 Request was from Tomas Pospisek <tpo@sourcepole.ch> to control@bugs.x2go.org. (Wed, 07 Jun 2023 08:40:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1604; Package x2goserver. (Wed, 07 Jun 2023 09:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Tomas Pospisek <tpo@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 07 Jun 2023 09:00:02 GMT) (full text, mbox, link).


Message #19 received at 1604@bugs.x2go.org (full text, mbox, reply):

From: Tomas Pospisek <tpo@sourcepole.ch>
To: 1604@bugs.x2go.org
Subject: further infos
Date: Wed, 7 Jun 2023 10:54:53 +0200 (CEST)
See the following two posts for the situation:

* https://www.mail-archive.com/x2go-user@lists.x2go.org/msg04705.html
* https://www.mail-archive.com/x2go-user@lists.x2go.org/msg04730.html

in short the xserver-x2gokdrive doesn't exist yet but it seems that it is 
being worked on


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1604; Package x2goserver. (Wed, 07 Jun 2023 09:00:03 GMT) (full text, mbox, link).


Acknowledgement sent to Tomas Pospisek <tpo@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 07 Jun 2023 09:00:03 GMT) (full text, mbox, link).


Message #24 received at 1604@bugs.x2go.org (full text, mbox, reply):

From: Tomas Pospisek <tpo@sourcepole.ch>
To: 1604@bugs.x2go.org
Subject: Re: Processed: same bug
Date: Wed, 7 Jun 2023 10:59:37 +0200 (CEST)
Duplicate of this bug report: https://bugs.x2go.org/1607


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri May 24 18:59:59 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.